package com.example.examentest.Api

import com.example.examentest.Models.Catalog
import com.example.examentest.Models.News
import retrofit2.Call
import retrofit2.http.GET
import retrofit2.http.Header
import retrofit2.http.POST

interface ApiRequest {
    @GET("api/News")
    fun GetNews():Call<ArrayList<News>>
    @GET("api/Catalog")
    fun GetCatalog():Call<ArrayList<Catalog>>
    @POST("api/SendCode")
    fun SendCode(@Header("User-email") User_mail:String):Call<String>
    @POST("api/SignIn")
    fun CheckCode(@Header("User-email") User_mail: String, @Header("User-code") User_code: String):Call<String>
}