package com.example.examentest.Api

import com.google.gson.GsonBuilder
import okhttp3.OkHttpClient
import okhttp3.logging.HttpLoggingInterceptor
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory
import retrofit2.converter.scalars.ScalarsConverterFactory

object ApiHttp {
    private val Base_URL = "https://iis.ngknn.ru/NGKNN/%D0%9C%D0%B0%D0%BC%D1%88%D0%B5%D0%B2%D0%B0%D0%AE%D0%A1/MedicMadlab/"
    public var User_mail = ""
    val interceptor = HttpLoggingInterceptor()
    val httpClient = OkHttpClient.Builder()
        .addInterceptor(interceptor)
        .build()
    val gsonBuilder = GsonBuilder()
        .setLenient()
        .create()
    val retrofit = Retrofit.Builder()
        .addConverterFactory(ScalarsConverterFactory.create())
        .addConverterFactory(GsonConverterFactory.create(gsonBuilder))
        .baseUrl(Base_URL)
        .client(httpClient)
        .build()
    val retrofitApi: ApiRequest get() = retrofit.create(ApiRequest::class.java)
}