package com.example.examentest

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.View
import android.widget.Toast
import com.example.examentest.Api.ApiHttp
import com.example.examentest.databinding.ActivityEmailBinding
import retrofit2.Call
import retrofit2.Callback
import retrofit2.Response

class EmailActivity : AppCompatActivity() {
    lateinit var binding: ActivityEmailBinding
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityEmailBinding.inflate(layoutInflater)
        setContentView(binding.root)
    }
    fun SendCode(view: View){
        ApiHttp.retrofitApi.SendCode(binding.EmailText.text.toString()).enqueue(object : Callback<String>{
            override fun onResponse(call: Call<String>, response: Response<String>) {
                if(response.code() == 200){
                    ApiHttp.User_mail = binding.EmailText.text.toString()
                    startActivity(Intent(this@EmailActivity, CodeCheckActivity::class.java))
                }
            }

            override fun onFailure(call: Call<String>, t: Throwable) {
                Toast.makeText(this@EmailActivity, t.message, Toast.LENGTH_SHORT).show()
            }

        })
    }
}